Class | ::BasicUserMessage
In: | lib/rbot/core/utils/extends.rb
Parent: | Object

### Methods

parse_channel_list recurse_depth recurse_depth=

### Public Instance methods

parse_channel_list(string)

We extend the BasicUserMessage class with a method that parses a string which is a channel list as matched by IN_CHAN(_LIST) and co. The method returns an array of channel names, where ‘private’ or ‘pvt’ is replaced by the Symbol :"?", ‘here’ is replaced by the channel of the message or by :"?" (depending on whether the message target is the bot or a Channel), and ‘anywhere’ and ‘everywhere’ are replaced by Symbol :*

recurse_depth()

The recurse depth of a message, for fake messages. 0 means an original message

recurse_depth=(val)

Set the recurse depth of a message, for fake messages. 0 should only be used by original messages

[Validate]